function templateClicked(identifier)
{
    window.PasteboardController.templateClicked(identifier);
}

function elementNameForIdentifier(identifier)
{
    return window.PasteboardController.elementNameForIdentifier(identifier);
}

function fontDescriptionForIdentifier(identifier)
{
    return window.PasteboardController.fontDescriptionForIdentifier(identifier);
}

function elementClicked(identifier)
{
    window.PasteboardController.elementClicked(identifier);
}

function elementDeselected()
{
    window.PasteboardController.elementDeselected();
}

function applyFontToIdentifier(psName, familyName, identifier)
{
    var style = document.createElement("style");
    style.setAttribute("type", "text/css");

    var styleText = "@font-face { font-family: \'" + familyName + "\'; src: local(\'" + psName + "\');}";
    style.appendChild(document.createTextNode(styleText));

    $("head")[0].appendChild(style);

    $("#" + identifier).css("font-weight", "normal");
    $("#" + identifier).find("*").each(function()
    {
        $(this).css("font-weight", "normal");
    });

    $("#" + identifier).css("font-family", familyName);

    rebuildUIElements();
}

function setTextSizeForIdentifier(size, identifier)
{
    $("#" + identifier).css("font-size", size);

    rebuildUIElements();
}

function getFontForIdentifier(identifier)
{
    return $("#" + identifier).css("font-family");
}

function getTextSizeForIdentifier(identifier)
{
    return parseInt($("#" + identifier).css("font-size"));
}

function addClass(element, cls)
{
    element.addClass(cls);
}

function applyFontToPrintPreview(elementIdentifier, preview, fakeFamily)
{
    // elementIdentifier is only used on Windows
    preview.css("font-family", fakeFamily);
}
