function localizeString(str)
{
    return jQuery.i18n.prop(str);
}

function localizeHTML()
{
    $(".localizable").each(function() {
        var unlocalizedString = $(this).text();
        $(this).text(localizeString(unlocalizedString));
        $(this).removeClass("localizable");
    });
}

function loadLocalizationFile()
{
    jQuery.i18n.properties({
        name:'strings', 
        path:'locale/', 
        mode:'both',
        language: new CSInterface().getHostEnvironment().appUILocale.replace("_", "-")
    });
}

loadLocalizationFile();