function IndeterminateSpinner(elementID)
{
    this.elementID = elementID;

    this.spinTimer = null;
    this.spinIndex = 0;

    this.updateSpinnerImage = function()
    {
        var progressImage = document.getElementById(this.elementID);
        progressImage.src = "img/indeterminate-progress" + this.spinIndex + ".png";
    };

    this.startSpinner = function()
    {
        if(this.spinTimer == null)
        {
            this.spinIndex = 0;
            this.updateSpinnerImage();

            var progress = this;
            this.spinTimer = setInterval(function () {
                progress.incrementSpinner();
            }, 100);
        }
    };
    
    this.incrementSpinner = function()
    {
        // there are 12 progress steps (0-11)
        this.spinIndex = (this.spinIndex + 1) % 12;
        this.updateSpinnerImage();
    };
    
    this.stopSpinner = function()
    {
        clearInterval(this.spinTimer);
        this.spinTimer = null;
    };

};
